<?php

define("REPORT_MODULE_DIR","./modules/report");
define("REPORT_MODULE_DIR_ADMIN","../modules/report");

$action = $_REQUEST['a'];
$isAdmin = stripos($_SERVER['SCRIPT_NAME'],"/admin/")===false?false:true;

if($isAdmin && $action == "functions"){

	include_once(REPORT_MODULE_DIR_ADMIN . '/report.functions.php');
}elseif($action == "functions"){
	include_once(REPORT_MODULE_DIR . '/report.functions.php');
}
elseif($action == "view"){
	include_once(REPORT_MODULE_DIR_ADMIN . '/report.functions.php');
	include_once(REPORT_MODULE_DIR_ADMIN . '/report.view.php');

}elseif($action == "upload_image"){
	include_once(REPORT_MODULE_DIR_ADMIN . '/report.upload_image.php');
}

?>
